Bug 25626 - Translation issues with OPAC problem reports (status and 'sent to')
Summary: Translation issues with OPAC problem reports (status and 'sent to')
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 4461
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-31 12:17 UTC by Katrin Fischer
Modified: 2020-09-10 03:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin (3.42 KB, patch)
2020-06-01 08:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin (3.48 KB, patch)
2020-08-16 08:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin (3.54 KB, patch)
2020-08-19 13:09 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-31 12:17:32 UTC
The new OPAC problem reports page in OPAC has some translation issues. The status column and the sent to column contents are not translatable.
Comment 1 Jonathan Druart 2020-06-01 08:27:44 UTC
Created attachment 105456 [details] [review]
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin

The 'Sent to' and 'Status' column values were not translatable.

Test plan:
Translate the interface
Report some problems at the OPAC
Go to the admin page and notice that all the columns are now translated
Comment 2 Didier Gautheron 2020-07-31 12:00:26 UTC
Hi

Maybe it should use a default case for report.recipient too, if db enum is modified?
Comment 3 Katrin Fischer 2020-08-16 07:55:58 UTC
I think if someone changes the db values, they need to take care of the templates as well - this should work with jQuery too.
Comment 4 Katrin Fischer 2020-08-16 08:21:02 UTC
Created attachment 108343 [details] [review]
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin

The 'Sent to' and 'Status' column values were not translatable.

Test plan:
Translate the interface
Report some problems at the OPAC
Go to the admin page and notice that all the columns are now translated

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-08-19 13:09:47 UTC
Created attachment 108625 [details] [review]
Bug 25626: Fix untranslatable strings on the 'OPAC problem reports' admin

The 'Sent to' and 'Status' column values were not translatable.

Test plan:
Translate the interface
Report some problems at the OPAC
Go to the admin page and notice that all the columns are now translated

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-08-19 13:10:06 UTC
Good catch, clear fix.  Passing QA
Comment 7 Jonathan Druart 2020-08-20 10:34:37 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 17:13:36 UTC
backported to 20.05.x for 20.05.04
Comment 9 Aleisha Amohia 2020-09-10 03:54:35 UTC
missing dependencies, not backported to 19.11.x